# H225_DisengageRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_DisengageRequest:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_callIdentifier, e_gatekeeperIdentifier, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_answeredCall, e_callLinkage, e_capacity, e_circuitInfo, e_usageInformation, e_terminationCause, e_serviceControl, e_genericData }

## Public Member Functions

| H225_DisengageRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_EndpointIdentifier | m_endpointIdentifier
H225_ConferenceIdentifier | m_conferenceID
H225_CallReferenceValue | m_callReferenceValue
H225_DisengageReason | m_disengageReason
H225_NonStandardParameter | m_nonStandardData
H225_CallIdentifier | m_callIdentifier
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
PASN_Boolean | m_answeredCall
H225_CallLinkage | m_callLinkage
H225_CallCapacity | m_capacity
H225_CircuitInfo | m_circuitInfo
H225_RasUsageInformation | m_usageInformation
H225_CallTerminationCause | m_terminationCause
H225_ArrayOf_ServiceControlSession | m_serviceControl
H225_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H225_DisengageRequest::OptionalFields

Enumerator:

  e_nonStandardData |
  e_callIdentifier |
  e_gatekeeperIdentifier |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_answeredCall |
  e_callLinkage |
  e_capacity |
  e_circuitInfo |
  e_usageInformation |
  e_terminationCause |
  e_serviceControl |
  e_genericData |

## Constructor & Destructor Documentation

H225_DisengageRequest::H225_DisengageRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_DisengageRequest::GetDataLength | ( |  | ) | const

PBoolean H225_DisengageRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_DisengageRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_DisengageRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_DisengageRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_DisengageRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_DisengageRequest::m_requestSeqNum

H225_EndpointIdentifier H225_DisengageRequest::m_endpointIdentifier

H225_ConferenceIdentifier H225_DisengageRequest::m_conferenceID

H225_CallReferenceValue H225_DisengageRequest::m_callReferenceValue

H225_DisengageReason H225_DisengageRequest::m_disengageReason

H225_NonStandardParameter H225_DisengageRequest::m_nonStandardData

H225_CallIdentifier H225_DisengageRequest::m_callIdentifier

H225_GatekeeperIdentifier H225_DisengageRequest::m_gatekeeperIdentifier

H225_ArrayOf_ClearToken H225_DisengageRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_DisengageRequest::m_cryptoTokens

H225_ICV H225_DisengageRequest::m_integrityCheckValue

PASN_Boolean H225_DisengageRequest::m_answeredCall

H225_CallLinkage H225_DisengageRequest::m_callLinkage

H225_CallCapacity H225_DisengageRequest::m_capacity

H225_CircuitInfo H225_DisengageRequest::m_circuitInfo

H225_RasUsageInformation H225_DisengageRequest::m_usageInformation

H225_CallTerminationCause H225_DisengageRequest::m_terminationCause

H225_ArrayOf_ServiceControlSession H225_DisengageRequest::m_serviceControl

H225_ArrayOf_GenericData H225_DisengageRequest::m_genericData

The documentation for this class was generated from the following file:

- h225.h